List customers
GET
/api/v1/customers
const url = 'https://example.com/api/v1/customers';const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/customers \ --header 'x-api-key: <x-api-key>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”limit
page
Responses
Section titled “Responses”Media typeapplication/json
object
data
required
Array<object>
object
id
required
string
stripeCustomerId
required
string
email
required
string
name
required
string
phone
required
string
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
total
required
number
page
required
number
limit
required
number
Example generated
{ "data": [ { "id": "example", "stripeCustomerId": "example", "email": "example", "name": "example", "phone": "example", "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z" } ], "total": 1, "page": 1, "limit": 1}